Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.util.mail
Class MailHandler

    java.lang.Object
      com.novell.nds.dirxml.util.mail.MailHandler

    public class MailHandler

extends Object

Implementation of CommandHandler that creates and sends SMTP messages based on a <mail> element.

Constructor Summary
`MailHandler(String sTemplateDir, String sHost, int iPort, String sFrom, String sMailUser, String sMailPassword)`
`MailHandler(String sTemplateDir, String sHost, int iPort, String sFrom, String sMailUser, String sMailPassword, List customHeaders)`

Method Summary
`String` | `getElementHandled()` Return the name of the command element handled.
`void` | `handle(Element mail)` Handle a <mail> command element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailHandler

    public MailHandler(String sTemplateDir,
                       String sHost,
                       int iPort,
                       String sFrom,
                       String sMailUser,
                       String sMailPassword)
                throws Exception

Parameters:
  `sHost` -
  `iPort` -
  `sFrom` -
  `sMailUser` -
  `sMailPassword` -
Throws:
  `Exception`

### MailHandler

    public MailHandler(String sTemplateDir,
                       String sHost,
                       int iPort,
                       String sFrom,
                       String sMailUser,
                       String sMailPassword,
                       List customHeaders)
                throws Exception

Parameters:
  `sHost` -
  `iPort` -
  `sFrom` -
  `sMailUser` -
  `sMailPassword` -
  `customHeaders` - an List of Strings, each string containing a custom SMTP header line (may be null)
Throws:
  `Exception`

Method Detail

### getElementHandled

    public String getElementHandled()

  Return the name of the command element handled.

  Returns:
    Name of command element handled (e.g., "mail")

### handle

    public void handle(Element mail)
                throws HandlerException,
                       IOException

  Handle a <mail> command element.

  Parameters:
    `mail` - The <mail> element
  Throws:
    `HandlerException` - if the command element being handled is malformed, or invalid in some other way.
    `IOException` - if communication with the SMTP server could not be established or maintained.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD